org.richfaces.resource

## Interface StateHolderResource

- All Known Implementing Classes:
    ArrowBase, AutocompleteGradient, BaseControlBackgroundImage, BaseGradient, ButtonBackgroundImage, ButtonDisabledBackgroundImage, ButtonHoverBackgroundImage, CalendarIcon, CalendarSeparator, ComboDownButton, CompiledCSSResource, DisabledCalendarIcon, DotSeparatorImage, GridSeparatorImage, InputBackgroundImage, InputErrorIcon, InputNumberSliderBarHandleBackgroundImage, LineSeparatorImage, MenuNodeImage, OneColorBasedResource, PanelIconBasic, PanelIconChevron, PanelIconChevronBasic, PanelIconChevronDown, PanelIconChevronLeft, PanelIconChevronUp, PanelIconDisc, PanelIconGrid, PanelIconTriangle, PanelIconTriangleBasic, PanelIconTriangleDown, PanelIconTriangleLeft, PanelIconTriangleUp, ProgressBarAnimatedBackgroundImage, SliderArrowBase, SliderArrowBottom, SliderArrowLeft, SliderArrowRight, SpinnerArrowBase, SpinnerArrowBottom, SpinnerArrowTop, SquareSeparatorImage, StandardButtonBgImage, StandardButtonPressedBgImage, ToolbarSeparatorImage, TreeLineImage, TreeLineLastImage, TreeMinusImage, TreePlusImage

      public interface StateHolderResource

  Author:
    Nick Belaevski

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTransient()`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

- - ### Method Detail

    - #### isTransient

          boolean isTransient()

    - #### writeState

          void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Throws:
        `IOException`

    - #### readState

          void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.